
Foreman - Bug #3782

API v2 wrong metadata while listing facts

11/29/2013 12:58 PM - Martin Bacovsky

Status: Closed   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

hammer -v host facts --name vm1.mbacovsk.redhat.com

Retrieved data: {

"total" => 1,

"subtotal" => 1,

"page" => 1,

"per_page" => 20,

"search" => " host = vm1.mbacovsk.redhat.com",

"sort" => {

"by" => nil,

"order" => nil

},

"results" => {

"vm1.mbacovsk.redhat.com" => {

"uniqueid" => "00000000",

"augeasversion" => "0.9.0",

"physicalprocessorcount" => "1",

"processorcount" => "1",

"network_lo" => "127.0.0.0",

"ipaddress_lo" => "127.0.0.1",

"swapfree" => "1.47 GB",

"swapsize" => "1.47 GB",

"mtu_eth0" => "1500",

"facterversion" => "1.6.18",

"mtu_lo" => "16436",

"rubyversion" => "1.8.7",

"network_eth0" => "192.168.122.0",

"ipaddress_eth0" => "192.168.122.138",

"ipaddress" => "192.168.122.138",

"uptime_hours" => "197",

"selinux_policyversion" => "24",

"netmask_lo" => "255.0.0.0",

"netmask_eth0" => "255.255.255.0",

"netmask" => "255.255.255.0"

}

}

}

Pagination works, but from the metadata I wouldn't guess there are more pages

Related issues:

Related to Foreman - Feature #3018: API v2 metadata for pagination in index c... Closed 09/04/2013

History

#1 - 12/02/2013 08:32 AM - Dominic Cleal

- Related to Feature #3018: API v2 metadata for pagination in index collection response added
#2 - 04/21/2021 08:11 AM - Leos Stejskal

I'm closing the issue,

it have been here for some time and I wasn't able to reproduce it on the latest version.

If you think that the issue is still relevant feel free to reopen

#3 - 06/04/2021 08:03 AM - Leos Stejskal

- Status changed from New to Closed
